Show / Hide Table of Contents

# AsyncTriggerBase<T> Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public abstract class AsyncTriggerBase<T> : MonoBehaviour, IUniTaskAsyncEnumerable<T>

##### Inheritance

System.Object → AsyncTriggerBase<T>

##### Derived

AsyncAnimatorIKTrigger
AsyncAnimatorMoveTrigger
AsyncApplicationFocusTrigger
AsyncApplicationPauseTrigger
AsyncApplicationQuitTrigger
AsyncAudioFilterReadTrigger
AsyncAwakeTrigger
AsyncBecameInvisibleTrigger
AsyncBecameVisibleTrigger
AsyncBeforeTransformParentChangedTrigger
AsyncBeginDragTrigger
AsyncCancelTrigger
AsyncCollisionEnter2DTrigger
AsyncCollisionEnterTrigger
AsyncCollisionExit2DTrigger
AsyncCollisionExitTrigger
AsyncCollisionStay2DTrigger
AsyncCollisionStayTrigger
AsyncControllerColliderHitTrigger
AsyncDeselectTrigger
AsyncDisableTrigger
AsyncDragTrigger
AsyncDrawGizmosSelectedTrigger
AsyncDrawGizmosTrigger
AsyncDropTrigger
AsyncEnableTrigger
AsyncEndDragTrigger
AsyncFixedUpdateTrigger
AsyncGUITrigger
AsyncInitializePotentialDragTrigger
AsyncJointBreak2DTrigger
AsyncJointBreakTrigger
AsyncLateUpdateTrigger
AsyncMouseDownTrigger
AsyncMouseDragTrigger
AsyncMouseEnterTrigger
AsyncMouseExitTrigger
AsyncMouseOverTrigger
AsyncMouseUpAsButtonTrigger
AsyncMouseUpTrigger
AsyncMoveTrigger
AsyncOnCanvasGroupChangedTrigger
AsyncParticleCollisionTrigger
AsyncParticleSystemStoppedTrigger
AsyncParticleTriggerTrigger
AsyncPointerClickTrigger
AsyncPointerDownTrigger
AsyncPointerEnterTrigger
AsyncPointerExitTrigger
AsyncPointerUpTrigger
AsyncPostRenderTrigger
AsyncPreCullTrigger
AsyncPreRenderTrigger
AsyncRectTransformDimensionsChangeTrigger
AsyncRectTransformRemovedTrigger
AsyncRenderImageTrigger
AsyncRenderObjectTrigger
AsyncResetTrigger
AsyncScrollTrigger
AsyncSelectTrigger
AsyncServerInitializedTrigger
AsyncStartTrigger
AsyncSubmitTrigger
AsyncTransformChildrenChangedTrigger
AsyncTransformParentChangedTrigger
AsyncTriggerEnter2DTrigger
AsyncTriggerEnterTrigger
AsyncTriggerExit2DTrigger
AsyncTriggerExitTrigger
AsyncTriggerStay2DTrigger
AsyncTriggerStayTrigger
AsyncUpdateSelectedTrigger
AsyncUpdateTrigger
AsyncValidateTrigger
AsyncWillRenderObjectTrigger

##### Implements

IUniTaskAsyncEnumerable<T>

#### Type Parameters

`T`

### Members

#### Fields

Name | Description
--- | ---
calledAwake |
calledDestroy |

#### Methods

Name | Description
--- | ---
GetAsyncEnumerator(CancellationToken) |
RaiseEvent(T) |

### Fields

#### calledAwake

    protected bool calledAwake

##### Field Value

System.Boolean

#### calledDestroy

    protected bool calledDestroy

##### Field Value

System.Boolean

### Methods

#### GetAsyncEnumerator(CancellationToken)

    public IUniTaskAsyncEnumerator<T> GetAsyncEnumerator(CancellationToken cancellationToken = default(CancellationToken))

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IUniTaskAsyncEnumerator<T>

#### RaiseEvent(T)

    protected void RaiseEvent(T value)

##### Parameters

`value` T

### Implements

IUniTaskAsyncEnumerable<T>